![Keyboard Icon](/res/icons/32x32/app-keyboard-settings.png)

## Name
Keyboard Shortcuts

## Description
This is a collection of common keyboard shortcuts in SerenityOS.

### Keywords
* `Super` means the ⊞ Windows or ⌘ Command key (and is sometimes called 'Meta' on Linux)
* `Alt` is equivalent to ⌥ Option on macOS

## General
| Shortcut      | Action                                                                                         |
|---------------|------------------------------------------------------------------------------------------------|
| `Super`       | Open the System Menu (navigate via arrow keys)                                                 |
| `Super+Space` | Open [Assistant](help://man/1/Applications/Assistant) (system search and application launcher) |

### Window Management
| Shortcut                 | Action                                                                |
|--------------------------|-----------------------------------------------------------------------|
| `Super+Up`               | Maximize the window                                                   |
| `Super+Down`             | Minimize the window (or un-maximize)                                  |
| `Super+Left`             | Snap window to left half of the screen                                |
| `Super+Right`            | Snap window to right half of the screen                               |
| `Super+LeftMouseButton`  | Move window (grabbing anywhere within)                                |
| `Super+RightMouseButton` | Resize window (in the direction of mouse drag)                        |
| `F11`                    | Fullscreen mode (only available in some applications)                 |
| `Alt+Spacebar`           | Open the window's context menu                                        |
| `Super+D`                | Show and hide the Desktop                                             |
| `Alt+Tab`                | Application Switcher (`Shift` reverses direction)                     |
| `Super+Number`           | Switch to application in taskbar position 1-9 (or minimize if active) |
| `Ctrl+Alt+Arrows`        | Move Workspace                                                        |
| `Shift+Ctrl+Alt+Arrows`  | Move Workspace with the active window                                 |

### Common within Applications
| Shortcut       | Action                                                        |
|----------------|---------------------------------------------------------------|
| `Ctrl+Z`       | Undo                                                          |
| `Ctrl+Shift+Z` | Redo                                                          |
| `Ctrl+A`       | Select All                                                    |
| `Ctrl+X`       | Cut                                                           |
| `Ctrl+C`       | Copy                                                          |
| `Ctrl+V`       | Paste                                                         |
| `Ctrl+O`       | Open File                                                     |
| `Ctrl+S`       | Save                                                          |
| `Ctrl+Shift+S` | Save As                                                       |
| `Ctrl+Shift+A` | Open Command Palette (a searchable list of available actions) |
| `Alt+Left`     | Go Back                                                       |
| `Alt+Right`    | Go Forward                                                    |
| `Ctrl+Right`   | Expand Tree Node                                              |
| `Ctrl+Left`    | Collapse Tree Node                                            |
| `F1`           | Open the application's Manual                                 |
| `Tab`          | Cycle focus within an application                             |
| `Alt+F4`       | Quit                                                          |

### Text Input
| Shortcut         | Action                                                |
|------------------|-------------------------------------------------------|
| `Ctrl+Alt+Space` | Emoji Picker                                          |
| `Shift+Alt`      | Hold `Shift` and press `Alt` to cycle through keymaps |

### Accessibility
| Shortcut  | Action           |
|-----------|------------------|
| `Super+H` | Highlight Cursor |

## See also
* [Tips and Tricks](help://man/7/Tips-and-Tricks)